Subject: RE: IPv6 WG Last Call: draft-ietf-ipngwg-icmp-v3-04.txt

From: [email-masked]
Date: Fri, 2 Jul 2004 19:19:02 -0500

Fred,

Sorry for replying late.  I don't have any objections to the
change that you are suggesting and I agree that it will make
it clearer.

If I don't hear any objections, I will make this change in the
next revision.

Regards
Mukesh

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
ext Fred Templin
Sent: Friday, June 25, 2004 11:34 AM
To: Brian Haberman
Cc: [email-masked]
Subject: Re: IPv6 WG Last Call: draft-ietf-ipngwg-icmp-v3-04.txt

Brian,

Sorry to come in so late with this, but I have a comment on
this document. In several diagrams, we see the phrase:

  "As much of invoking packet as will fit without the
   ICMPv6 packet exceeding the minimum IPv6 MTU"

(A variation of this phrase also appears in section 2.4 (c),
accompanied by an even stronger "MUST include".)

In each of these instances, I would like to see: "will fit"
replaced by "possible", as in:

  "As much of invoking packet as possible without the
   ICMPv6 packet exceeding the minimum IPv6 MTU"

Reason is that: "will fit" is redundant with: "without ... exceeding
the minimum IPv6 MTU". Secondly, "will fit" when accompanied
by "MUST include as much of the IPv6 offending (invoking) packet"
in section 2.4 (c)  seems to presume that all implementations will
be able to efficiently access up to 1280 bytes of the offending packet
when generating the error, and in some cases this may not be possible.

Fred
[email-masked]

Brian Haberman wrote:

> All,
>      The last call actually ends on June 18, 2004 not May 18.
>
> Regards,
> Brian
>
> Brian Haberman wrote:
>
>> All,
>>      This starts a 2-week IPv6 Working Group Last Call on:
>>
>>      Title     : Internet Control Message Protocol (ICMPv6)for the
>>                   Internet Protocol Version 6 (IPv6) Specification
>>      Author(s) : A. Conta, S. Deering
>>      Filename  : draft-ietf-ipngwg-icmp-v3-04.txt
>>      Pages     : 26
>>      Date      : 2004-6-3
>>
>> This document is being re-cycled at Draft Standard.  The last call
>> will end on May 18, 2004.  Substantive comments should be directed
>> to the mailing list.  Editorial comments may be sent to the list or
>> the editor.
>>
>> Regards,
>> Bob & Brian
>> IPv6 WG co-chairs
>>
>>
>>
>>
>> --------------------------------------------------------------------
>> IETF IPv6 working group mailing list
>> [email-masked]
>> Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
>> --------------------------------------------------------------------
>
>
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------